메인 콘텐츠로 건너뛰기
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-chart
지갑 - 순자산 차트
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-chart \
  --header 'Authorization: Bearer <token>'
{
  "currentTimestamp": "2025-07-31T23:59:59.000Z",
  "history": [
    {
      "netWorth": "13210463.21",
      "netWorthChange": "1971274.94",
      "netWorthChangePercent": "17.54",
      "timestamp": "2025-07-30T23:59:59.000Z"
    }
  ],
  "pastTimestamp": "2025-07-01T23:59:59.000Z",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 지원되는 블록체인

사용 가능한 옵션:
sol,
eth,
bsc
walletAddress
string
필수

지갑 주소

쿼리 매개변수

hours
integer<int32>
기본값:24

DTO.WALLET.NET_WORTH_CHART.HOURS(1-720, 기본값 24)

응답

200 - application/json

성공 응답

페이지네이션이 포함된 지갑 순자산 차트 응답.

currentTimestamp
string
필수

현재 서버 타임스탬프

예시:

"2025-07-31T23:59:59.000Z"

history
object[]
필수

과거 순자산 데이터 포인트 목록

pastTimestamp
string
필수

차트 기간 시작 타임스탬프

예시:

"2025-07-01T23:59:59.000Z"

walletAddress
string
필수

지갑 주소

예시:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"